Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gentoo-security] GLSA: vim vim-core gvim
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 16108
Location: Colorado

PostPosted: Thu Jan 23, 2003 3:34 pm    Post subject: [gentoo-security] GLSA: vim vim-core gvim Reply with quote

Daniel Ahlberg wrote:
- - --------------------------------------------------------------------
GENTOO LINUX SECURITY ANNOUNCEMENT 200301-13
- - --------------------------------------------------------------------

PACKAGE : vim vim-core gvim
SUMMARY : arbitrary code execution
DATE : 2003-01-22 11:48 UTC
EXPLOIT : remote

- - --------------------------------------------------------------------

- From advisory:

"Opening a specially crafted text file with vim can execute arbitrary shell
commands and pass parameters to them."

Read the full advisory at
http://www.guninski.com/vim1.html

SOLUTION

It is recommended that all Gentoo Linux users who are running
affected versions of app-editors/{vim,vim-core,gvim} upgrade as follows:

emerge sync

If you are running app-editos/vim-core upgrade to vim-core-6.1-r4 :

emerge -u vim-core

If you are running app-editos/vim upgrade to vim-6.1-r19 :

emerge -u vim

If you are running app-editos/gvim upgrade to gvim-6.1-r6 :

emerge -u gvim

emerge clean

- - --------------------------------------------------------------------
aliz@gentoo.org - GnuPG key is available at www.gentoo.org/~aliz
rphillips@gentoo.org
- - --------------------------------------------------------------------


Mailing List Archive: Unavailable
_________________
lolgov. 'cause where we're going, you don't have civil liberties.

In Loving Memory
1787 - 2008
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum